-1

So I have Ubuntu 18.04 on a Raspberry Pi 3 right now, and after installing linux-raspi2 metapackage, I got this error:

ln: failed to create symbolic link '/boot/dtb-4.15.0-1026-raspi2': Operation not permitted
run-parts /etc/initramfs/post-update.d//flash-kernel exited with return code 1
run-parts /etc/kernel/postinist.d/initramfs-tools exited with return code 1
dpkg: error processing package linux-image-4.15.0-1026-raspi2 (--configure): installed linux-image-4.15.0-1026-raspi2 package post-installation script subprocess returned exit status 1

Does anyone know how to fix this?

And I don't see the file dtb-4.15.0* anywhere in boot, but I do see /boot/dtbs directory.

  • I don't know what linux-raspi2 is. I don't use Ubuntu on the RasPi. But how exactly looks the command do you use to install the program? Do you use sudo? – Ingo Nov 1 '18 at 11:08
  • Yes. And linux-raspi2 is a meta package for Raspberry Pi's kernel packages.ubuntu.com/bionic/linux-raspi2 – YamiYukiSenpai Nov 2 '18 at 3:24

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.